9405: Approve reservation
Approve a reservation of lottery numbers. The reservation is marked as approved and a purchase is initiated with a 3rd-party payment provider.
| Endpoint ID: | 9405 | ||
| Method | PUT | ||
| URL: | /lottery/reservation/{reservationID}/approve | ||
| reservationID | GUID representing a reserved group of lottery numbers | ||
| Request body: | A JSON object containing purchase contact details, and {
"successUrl": "https://my.site/purchase-success.html",
"failureUrl": "https://my.site/purchase-failure.html",
"paymentDetails": {
"Name": "Firstname Lastname",
"Address": "Amaliegade 18",
"City": "København K",
"PostCode": "1256",
"PhoneNo": "4511111111",
"Email": "user@domain.org",
"CountryCode": "DK"
}
}
| ||
Response body: | A JSON object containing a {
"redirectUrl": "https://third.party.payment.portal?paymentSessionGuid=abcde"
}
| ||
| Status codes: | HttpStatusCode | ApiStatusSubCode | Description |
| 200 | Success | ||
| 400 | 400.1 | The reservation has expired | |
| 404 | There is no currently active lottery | ||
, multiple selections available,